Skip to main content
GET
/
api
/
{projectId}
/
raw-data
/
data-quality
/
label-noise
/
exists
Check if label noise metrics exist
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/data-quality/label-noise/exists \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/data-quality/label-noise/exists"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/data-quality/label-noise/exists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "hasFeatures": true,
  "error": "<string>",
  "inputBlock": {
    "id": 2,
    "type": "time-series",
    "name": "Time series",
    "title": "Time series",
    "axes": [
      "accX"
    ],
    "windowSizeMs": 2004,
    "windowIncreaseMs": 123,
    "frequencyHz": 60,
    "classificationWindowIncreaseMs": 123,
    "padZeros": true,
    "labelingMethodMultiLabel": {
      "labels": [
        "<string>"
      ],
      "minPercentage": 123
    },
    "imageWidth": 28,
    "imageHeight": 28,
    "resizeMode": "squash",
    "resizeMethod": "squash",
    "cropAnchor": "middle-center",
    "createdBy": "createImpulse",
    "createdAt": "2023-11-07T05:31:56Z",
    "datasetSubset": {
      "includePercentage": 123,
      "seed": 123
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

hasFeatures
boolean
required
error
string

Optional error description (set if 'success' was false)

inputBlock
object